// plateau vert

#declare Plateau_table=
box {
	<-1050,-40,-1500>
	<1050,0,1500>
	pigment {color rgb Vert}
}

#declare Plateau_trou=
cylinder { <0,-42,0> <0,2,0> 23}

#declare Plateau_bordure= 
difference {   
   box{<-1072,-40,-1522> <1072,70,1522> texture {TextureBordure}}
   box{<-1050,-42,-1500> <1050,72,1500> texture {TextureBordure}}     
}

#declare BandeNoire=
box {
	<-1050,-1,0>
	<1050,0.1,5>
	pigment {color rgb Noir}
}
       

#declare ZoneDepart = box { <-750,0,0> <750,70,0.1> }
    

#declare TourTrou=
difference {
	cylinder { <0,-1,0> <0,0.1,0> 50 }
	cylinder { <0,-2,0> <0,2,0> 23}	
	pigment { color rgb Blanc}	
}

#declare TourTrouBleu=
object {TourTrou pigment {color rgb Bleu}}

#declare TourTrouRouge=
object {TourTrou pigment {color rgb Rouge}}

#declare Plateau=
difference {
	object { Plateau_table}
	// 4 centre centre
	object { Plateau_trou translate <-160,0,-160>}
	object { Plateau_trou translate <-160,0,160>}
	object { Plateau_trou translate <160,0,-160>}
	object { Plateau_trou translate <160,0,160>}
	// 4 milieu centre
	object { Plateau_trou translate <-500,0,-270>}
	object { Plateau_trou translate <-500,0,270>}
	object { Plateau_trou translate <500,0,-270>}
	object { Plateau_trou translate <500,0,270>}
	// 4 extra centre
	object { Plateau_trou translate <-860,0,-160>}
	object { Plateau_trou translate <-860,0,160>}
	object { Plateau_trou translate <860,0,-160>}
	object { Plateau_trou translate <860,0,160>}
	// Rouges
	object { Plateau_trou translate <-680,0,-600>}
	object { Plateau_trou translate <680,0,-600>}
	object { Plateau_trou translate <-300,0,-570>}
	object { Plateau_trou translate <300,0,-570>}
	object { Plateau_trou translate <0,0,-690>}
	object { Plateau_trou translate <0,0,-990>}
	object { Plateau_trou translate <-360,0,-920>}
	object { Plateau_trou translate <360,0,-920>}
	// Bleues
	object { Plateau_trou translate <-680,0,600>}
	object { Plateau_trou translate <680,0,600>}
	object { Plateau_trou translate <-300,0,570>}
	object { Plateau_trou translate <300,0,570>}
	object { Plateau_trou translate <0,0,690>}
	object { Plateau_trou translate <0,0,990>}
	object { Plateau_trou translate <-360,0,920>}
	object { Plateau_trou translate <360,0,920>}
}

#declare Terrain=
union {
	object { Plateau}
	object { Plateau_bordure}
	object { BandeNoire translate <0,0,-455>}
	object { BandeNoire translate <0,0,450>}
	// 4 centre centre
	object { TourTrouRouge translate <-160,0,-160>}
	object { TourTrouBleu translate <-160,0,160>}
	object { TourTrouBleu translate <160,0,-160>}
	object { TourTrouRouge translate <160,0,160>}
	// 4 milieu centre
	object { TourTrouBleu translate <-500,0,-270>}
	object { TourTrouRouge translate <-500,0,270>}
	object { TourTrouRouge translate <500,0,-270>}
	object { TourTrouBleu translate <500,0,270>}
	// 4 extra centre
	object { TourTrouRouge translate <-860,0,-160>}
	object { TourTrouBleu translate <-860,0,160>}
	object { TourTrouBleu translate <860,0,-160>}
	object { TourTrouRouge translate <860,0,160>}
	// Rouges
	object { TourTrouRouge translate <-680,0,-600>}
	object { TourTrouRouge translate <680,0,-600>}
	object { TourTrouRouge translate <-300,0,-570>}
	object { TourTrouRouge translate <300,0,-570>}
	object { TourTrouRouge translate <0,0,-690>}
	object { TourTrouRouge translate <0,0,-990>}
	object { TourTrouRouge translate <-360,0,-920>}
	object { TourTrouRouge translate <360,0,-920>}
	// Bleues
	object { TourTrouBleu translate <-680,0,600>}
	object { TourTrouBleu translate <680,0,600>}
	object { TourTrouBleu translate <-300,0,570>}
	object { TourTrouBleu translate <300,0,570>}
	object { TourTrouBleu translate <0,0,690>}
	object { TourTrouBleu translate <0,0,990>}
	object { TourTrouBleu translate <-360,0,920>}
	object { TourTrouBleu translate <360,0,920>}    
	// Zones de dpart
	object { ZoneDepart pigment {color rgb Bleu} rotate <0,180,0> translate <0,0,1500>}
	object { ZoneDepart pigment {color rgb Rouge} translate <0,0,-1500>}
}                  
                
#declare ConnectTotem = 
union {
        cylinder { <0,-2,36> <0,0.1,36> 4}
        cylinder { <0,-2,-36> <0,0.1,-36> 4}
        pigment {color Black}
}                

object { ConnectTotem translate <-100,0,-450> }
object { ConnectTotem translate <100,0,-450> }
object { ConnectTotem translate <-100,0,450> }
object { ConnectTotem translate <100,0,450> }

object { ConnectTotem translate <-680,0,-1050> }
object { ConnectTotem translate <680,0,-1050> }
object { ConnectTotem translate <-680,0,1050> }
object { ConnectTotem translate <680,0,1050> }              
